# ChapterWise Codex Template: Book Series
# ========================================
# This is a starter template for a multi-book series.
# Use this for organizing related novels or volumes.
# 
# Documentation: https://chapterwise.app/docs/codex/format

metadata:
  formatVersion: "1.1"
  author: "Your Name"
  created: "2024-01-01"
  description: "A book series project created with ChapterWise"

# Series Root Entity
id: "my-series"
type: series
name: "The Series Name"
summary: "A saga spanning multiple books, exploring themes of..."

# Series-level attributes
attributes:
  - key: genre
    value: "Epic Fantasy"
  - key: status
    value: "In Progress"
  - key: planned_books
    value: 3

# Children entities (books)
children:
  - id: "book-01"
    type: book
    name: "Book One: The Beginning"
    summary: "The first installment introduces..."
    attributes:
      - key: status
        value: "Completed"
      - key: publication_year
        value: 2024
    children:
      - id: "book-01-ch-01"
        type: chapter
        name: "Chapter 1"
        body: |
          Content of the first chapter of book one...
      
      - id: "book-01-ch-02"
        type: chapter
        name: "Chapter 2"
        body: |
          Continue the story...

  - id: "book-02"
    type: book
    name: "Book Two: The Journey"
    summary: "The second book continues with..."
    attributes:
      - key: status
        value: "In Progress"
    children:
      - id: "book-02-ch-01"
        type: chapter
        name: "Chapter 1"
        body: |
          The adventure continues...

  - id: "book-03"
    type: book
    name: "Book Three: The Conclusion"
    summary: "The epic conclusion..."
    attributes:
      - key: status
        value: "Planned"
    children: []

# Series-wide character definitions
# Useful for tracking characters across books
# characters:
#   - id: "main-hero"
#     type: character
#     name: "Hero Name"
#     summary: "The protagonist of the series"
#     attributes:
#       - key: appears_in
#         value: "All books"

# Series-wide world-building
# worldbuilding:
#   - id: "main-setting"
#     type: location
#     name: "The World"
#     summary: "Description of the world"

